OpenTTD: src/fios_gui.cpp File Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables
fios_gui.cpp File Reference

GUIs for loading/saving games, scenarios, heightmaps, ... More...

`#include "stdafx.h"`
`#include "saveload/saveload.h"`
`#include "error.h"`
`#include "gui.h"`
`#include "gfx_func.h"`
`#include "command_func.h"`
`#include "network/network.h"`
`#include "network/network_content.h"`
`#include "strings_func.h"`
`#include "fileio_func.h"`
`#include "fios.h"`
`#include "window_func.h"`
`#include "tilehighlight_func.h"`
`#include "querystring_gui.h"`
`#include "engine_func.h"`
`#include "landscape_type.h"`
`#include "date_func.h"`
`#include "core/geometry_func.hpp"`
`#include "gamelog.h"`
`#include "widgets/fios_widget.h"`
`#include "table/sprites.h"`
`#include "table/strings.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Data Structures
struct | SaveLoadWindow

## Functions
void | BuildFileList ()
static void | MakeSortedSaveGameList ()
void | ShowSaveLoadDialog (SaveLoadDialogMode mode)
| Launch save/load dialog in the given mode.
void | SetFiosType (const byte fiostype)

## Variables
SaveLoadDialogMode | _saveload_mode
LoadCheckData | _load_check_data
| Data loaded from save during SL_LOAD_CHECK.
static bool | _fios_path_changed
static bool | _savegame_sort_dirty
static const NWidgetPart | _nested_load_dialog_widgets []
| Load game/scenario with optional content download.
static const NWidgetPart | _nested_load_heightmap_dialog_widgets []
| Load heightmap with content download.
static const NWidgetPart | _nested_save_dialog_widgets []
| Save game/scenario.
const TextColour | _fios_colours []
| Colours for fios types, indexed by #FiosType.
static WindowDesc | _load_dialog_desc (WDP_CENTER,"load_game", 500, 294, WC_SAVELOAD, WC_NONE, 0, _nested_load_dialog_widgets, lengthof(_nested_load_dialog_widgets))
| Load game/scenario.
static WindowDesc | _load_heightmap_dialog_desc (WDP_CENTER,"load_heightmap", 257, 320, WC_SAVELOAD, WC_NONE, 0, _nested_load_heightmap_dialog_widgets, lengthof(_nested_load_heightmap_dialog_widgets))
| Load heightmap.
static WindowDesc | _save_dialog_desc (WDP_CENTER,"save_game", 500, 294, WC_SAVELOAD, WC_NONE, 0, _nested_save_dialog_widgets, lengthof(_nested_save_dialog_widgets))
| Save game/scenario.
static const FileType | _file_modetotype []
| These values are used to convert the file/operations mode into a corresponding file type.

## Detailed Description

GUIs for loading/saving games, scenarios, heightmaps, ...

Definition in file fios_gui.cpp.

## Function Documentation

void ShowSaveLoadDialog | ( | SaveLoadDialogMode | mode | ) |

Launch save/load dialog in the given mode.

Parameters

  mode | Save/load mode.

Definition at line 754 of file fios_gui.cpp.

References _load_dialog_desc, _load_heightmap_dialog_desc, _save_dialog_desc, DeleteWindowById(), SmallFiosItem::filetype, SLD_LOAD_HEIGHTMAP, SLD_SAVE_GAME, SLD_SAVE_HEIGHTMAP, SLD_SAVE_SCENARIO, and WC_SAVELOAD.

Referenced by MenuClickSaveLoad(), SelectGameWindow::OnClick(), NetworkStartServerWindow::OnClick(), and MainToolbarWindow::OnHotkey().

## Variable Documentation

const FileType _file_modetotype[]
| static

Initial value:
{
FT_SAVEGAME,
FT_SCENARIO,
FT_SAVEGAME,
FT_SCENARIO,
FT_HEIGHTMAP,
FT_HEIGHTMAP,
}

These values are used to convert the file/operations mode into a corresponding file type.

So each entry, as expressed by the related comment, is based on the enum

Definition at line 741 of file fios_gui.cpp.

const TextColour _fios_colours[]

Initial value:
{
TC_LIGHT_BLUE, TC_DARK_GREEN, TC_DARK_GREEN, TC_ORANGE, TC_LIGHT_BROWN,
TC_ORANGE, TC_LIGHT_BROWN, TC_ORANGE, TC_ORANGE, TC_YELLOW
}

Colours for fios types, indexed by #FiosType.

Definition at line 191 of file fios_gui.cpp.

Referenced by SaveLoadWindow::DrawWidget().